server {
    listen      443 ssl http2;
    server_name cyberbrain.aninix.net;

    include sec.conf;
    include default.csp.conf;
    include letsencrypt.conf;

    location /
    {
      auth_basic "Cyberbrain";
      auth_basic_user_file ../passwords/cyberbrain.htpasswd;
      proxy_pass       http://127.0.0.1:8822;
      proxy_http_version 1.1;
      proxy_read_timeout 300;
      proxy_set_header Upgrade $http_upgrade;
      proxy_set_header Connection "upgrade";
      proxy_set_header Host $http_host;
      proxy_set_header X-Real-IP $remote_addr;
      proxy_set_header X-Real-PORT $remote_port;
    }
}
